# Leap Motion

## Introduction

The **Leap Motion** **Nodes** are **Event Listener** **Nodes** that allow a **Logic Branch** triggered by the user on their *Leap Motion* device to execute.

## Properties

The **Leap Motion Nodes** output a list of properties. Several properties exist in the context of two different spaces. These are:

* *World space* - The **Incari** application space, i.e. this value can be used to check against the position of **Objects** placed in the **Project**.
* *Local space* - The coordinate space local to the *Ultraleap* device.

The properties are given in **Dictionary** format. A **Dictionary** holds *key*/*value* pairs. The *keys* are:

* `palmPosition` - **Vector3** - The position of the hand's palm in *world space*.
* `indexTipPosition` - **Vector3** - The position of the index finger's tip in *world space*.
* `palmVelocity` - **Vector3** - The direction of the hand's movement in *local space*.
* `palmDirection` - **Vector3** - The direction in which the hand faces in *local space*.
* `isLeft` - **Boolean** - This indicates whether the event was generated by the left or right hand.
* `pinchStrength` - **Float** - This indicates from 0.0 - 1.0 how strong the user is pinching their thumb together with some other finger.
* `pinchDistance` - **Float** - This indicates from 0.0 - 1.0 how far their thumb and some other finger are from one another.
* `grabStrength` - **Float** - This indicates from 0.0 - 1.0 the strength with which the user grabs with their hand.

These provide the necessary information for the user to incorporate *Leap Motion* into their **Project**.

## Contents

* [**On Leap Motion Frame Update**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leap-motion-frame-update.md)
* [**On Leap Motion Grab End**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-grab-end.md)
* [**On Leap Motion Grab Start**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-grab-start.md)
* [**On Leap Motion Grab Update**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-grab-update.md)
* [**On Leap Motion Pinch End**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-pinch-end.md)
* [**On Leap Motion Pinch Start**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-pinch-start.md)
* [**On Leap Motion Pinch Update**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-pinch-update.md)
* [**On Leap Motion Swipe Left**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-swipe-left.md)
* [**On Leap Motion Swipe Right**](/incari-studio/2023.2/toolbox/events/leapmotion/on-leapmotion-swipe-right.md)
* [**XR Position**](/incari-studio/2023.2/toolbox/events/leapmotion/xr-position.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.incari.com/incari-studio/2023.2/toolbox/events/leapmotion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
